import * as $dara from '@darabonba/typescript';
import { CreateVirtualPhysicalConnectionResponseBody } from "./CreateVirtualPhysicalConnectionResponseBody";
export declare class CreateVirtualPhysicalConnectionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateVirtualPhysicalConnectionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
